commit:     2a1b5b12cae92e28d456ede0ff394e98b3ac3b48
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 30 08:22:51 2024 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue Jan 30 08:23:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a1b5b12

net-nds/nsscache: QA fixes

Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
Reference: https://bugs.gentoo.org/923061

 net-nds/nsscache/nsscache-0.49.ebuild | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

diff --git a/net-nds/nsscache/nsscache-0.49.ebuild 
b/net-nds/nsscache/nsscache-0.49.ebuild
index 90f77100fc73..2674e1db5d26 100644
--- a/net-nds/nsscache/nsscache-0.49.ebuild
+++ b/net-nds/nsscache/nsscache-0.49.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -12,21 +12,22 @@ DESCRIPTION="commandline tool to sync directory services to 
local cache"
 HOMEPAGE="https://github.com/google/nsscache";
 SRC_URI="https://github.com/google/nsscache/archive/version/${PV}.tar.gz -> 
${P}.tar.gz"
 
-LICENSE="GPL-2"
+# upstream *sources* say "or later", but upstream metadata does not include the
+# 'or later' clause.
+LICENSE="GPL-2+"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="nsscache s3 test"
 
-# testing requires local network (e.g. spin up slapd, httpd)
-#PROPERTIES="test_network"
-#RESTRICT="test"
-
 # Optional extras:
 # TODO: gcs? ( https://pypi.org/project/google-cloud-storage/ )
 #
 # Testing:
 # *unit* tests do not require networking.
 # *integration* tests require openldap's slapd and networking
+#
+# The ebuild runs the unit testing explicitly, as upstream uses Docker to run
+# the integration tests.
 RDEPEND="
        nsscache? ( >=sys-auth/libnss-cache-0.10 )
        >=dev-python/python-ldap-3.4[${PYTHON_USEDEP}]
@@ -35,11 +36,13 @@ RDEPEND="
 DEPEND="${RDEPEND}
        dev-python/packaging[${PYTHON_USEDEP}]
        test? (
-               dev-python/pytest-cov[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
        )"
 
 S="${WORKDIR}/${PN}-version-${PV}"
 
+distutils_enable_tests pytest
+
 python_prepare_all() {
        # nsscache.conf is example only, and should be installed in docs.
        # Default config tries $PREFIX/config/nsscache.conf
@@ -55,6 +58,7 @@ python_prepare_all() {
 }
 
 python_compile() {
+       # Yes, tell setup.py to be verbose
        distutils-r1_python_compile --verbose
 }
 
@@ -70,10 +74,8 @@ python_install() {
                        -iname '*_test.py*' \
                        -o -iname '*_test.*.py*' \
                \) \
-               -delete
-
-       # Ignore any exit code from find.
-       return 0
+               -delete \
+       || die "find failed"
 }
 
 python_install_all() {
@@ -84,5 +86,3 @@ python_install_all() {
 
        keepdir /var/lib/nsscache
 }
-
-distutils_enable_tests pytest

Reply via email to